Subject: Re: [PATCH net-next] net: stmmac: propagate feature flags to vlan

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Apr 2023 12:11:46 -0700

On Mon, 17 Apr 2023 21:03:12 +0200 Corinna Vinschen wrote:
> Yes, that was a good idea.  Turns out, TSO doesn't really work well
> with VLANs.  The speed is... suboptimal.  Here are some results
> with iperf, showing only the summary lines.

Hah, good to find out before users did :)

IIRC there is something in the TCP stack which retries sending 
as non-TSO if TSO keeps failing so "TSO is very slow" may in fact 
mean TSO is completely broken but TCP is managing to deliver a little
bit with just retransmissions or super tiny cwnd or some such.